
Foreman - Bug #25038

500 Error when viewing CoreOS provisioning template.

09/26/2018 02:12 AM - Kyle Button

Status: Closed   

Priority: Normal   

Assignee: Kyle Button   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases: 1.19.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6091

  

Description

2018-09-25T20:58:17 [W|app|4d1e2] There was an error rendering the CoreOS provision template:  | ActionView::Template::Error:

ERF42-7327 [Foreman::Exception]: The snippet 'coreos_cloudconfig' threw an error: undefined method '#present?' for Subnet::Jail

(Subnet::Ipv4)  | /opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.3.5/lib/safemode/jail.rb:22:in `method_missing'  |

coreos_cloudconfig:100:in `bind'  | /opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.3.5/lib/safemode.rb:51:in `eval'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.3.5/lib/safemode.rb:51:in `eval'  |

/usr/share/foreman/lib/foreman/renderer.rb:127:in `render_safe'  | /usr/share/foreman/lib/foreman/renderer.rb:245:in

`unattended_render'  | /usr/share/foreman/lib/foreman/renderer.rb:191:in `snippet'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.3.5/lib/safemode/scope.rb:37:in `method_missing'  | CoreOS

provision:88:in `bind'  | /opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.3.5/lib/safemode.rb:51:in `eval'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.3.5/lib/safemode.rb:51:in `eval'  |

/usr/share/foreman/lib/foreman/renderer.rb:127:in `render_safe'  | /usr/share/foreman/lib/foreman/renderer.rb:245:in

`unattended_render'

This looks similar to https://projects.theforeman.org/issues/23012

Associated revisions

Revision 7061acbc - 09/26/2018 08:36 AM - Kyle Button

fixes #25038 - allow subnet present in safemode

History

#1 - 09/26/2018 02:20 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6091 added

#2 - 09/26/2018 08:36 AM - Timo Goebel

- Fixed in Releases 1.20.0 added

#3 - 09/26/2018 09:01 AM - Kyle Button

- Status changed from Ready For Testing to Closed

Applied in changeset 7061acbcd42a99507a81dd1eb58525a690c93981.

#4 - 10/15/2018 09:44 AM - Tomer Brisker

- Category set to Templates

- Assignee set to Kyle Button
